Bug 177967 - lzo needs to be updated to 2.2
lzo needs to be updated to 2.2
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lzo (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 177974
  Show dependency treegraph
 
Reported: 2006-01-16 17:06 EST by Nicolas Mailhot
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.02-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-13 07:41:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lzo-2.02-1 spec file. (2.13 KB, text/plain)
2006-01-19 04:28 EST, Dams
no flags Details

  None (edit)
Description Nicolas Mailhot 2006-01-16 17:06:30 EST
A new major version of lzo was released the 17 Oct 2005

It's supposed to be much better - the FE lzo package needs a refresh
Comment 1 Warren Togami 2006-01-17 13:44:14 EST
Does this cause a so-name bump?  If so please be sure that you identify and
rebuild EVERYTHING that relies upon it before the packages are signed and pushed.
Comment 2 Nicolas Mailhot 2006-01-17 14:16:27 EST
That's why doing it before the FC5 FE mass rebuild is better than doing it after it
Comment 3 Dams 2006-01-18 05:37:58 EST
It's not a soname change. It's a filename change :
%{_libdir}/liblzo2.so
%{_libdir}/liblzo2.a

We now have liblzo2.

Do we create a new liblzo2 package ? liblzo and liblzo2 wouldnt conflict :
include files are in different path (%{includedir}/lzo*.h vs %{_includedir}/lzo)
and libs are different (liblzo.so vs liblzo2.so). 

Does everything can migrate easily to liblzo2 without pain ? (have to check "in
some other repository" also).
I got a working spec file for a liblzo-2.02 package.
Comments appreciated. 
Comment 4 Nicolas Mailhot 2006-01-18 05:50:46 EST
please attach the spec so people can test-rebuild stuff
Comment 5 Dams 2006-01-19 04:28:15 EST
Created attachment 123417 [details]
lzo-2.02-1 spec file.

I have to find out if the asm code on i386 wont make the package i686-only but
here it is.
Comment 6 Nicolas Mailhot 2006-01-19 15:25:48 EST
lzop seems to build fine with this lzo version. I'll be able to update whenever
lzo 2 goes in. Thanks!
Comment 7 Hans de Goede 2006-11-13 07:41:02 EST
I've taken over as maintainer of lzo quite some time and somehow have missed
this bug. lzo has already been at 2.02 for some time now, closing.

Note You need to log in before you can comment on or make changes to this bug.